Subject: Re: t7063-status-untracked-cache.sh test failure on next

From: Ramsay Jones <[email-masked]>
Date: Wed, 21 Oct 2015 20:51:32 +0100

On 21/10/15 18:50, David Turner wrote:
> On Wed, 2015-10-21 at 18:05 +0200, Torsten Bögershausen wrote:
>> On 21.10.15 16:37, Ramsay Jones wrote:
>>> Hi Junio,
>>>
>>> While testing the next branch today, I had a test failure, viz:
>>>
>>>     $ tail ntest-out-fail
>>>     Test Summary Report
>>>     -------------------
>>>     t7063-status-untracked-cache.sh                  (Wstat: 256 Tests: 32 Failed: 22)
>>
>> Does this patch help ?
>> (Recently send & tested by David. I just copy & paste the diff)
> 
> My patch fixes one of the tests, but Ramsay has a zillion failures
> (presumably because test 1 fails and most everything else follows from
> that).
> 
> That test could fail if your clock were running fast and you had
> 1-second resolution timetamps on your filesystem and you were somewhat
> unlucky.  

yep. I've just stopped running the test in a loop after about an hour.
In that time it has executed the test about 130+ times (yeah, I forgot
the count), with no failures. I'm going to give up now and declare that
I was simply unlucky! :-D

ATB,
Ramsay Jones